目录

Adds a message to an offer instance corresponding to instanceId.

1 Request

HTTP request

POST
https://${url}/hmspass/v1/offer/instance/{instanceId}/addMessage
Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.

Path Parameters

Parameter nameValueDescription
instanceIdStringInstance ID. This ID must be unique across all instances of an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_).

Request body

The request body contains the messageList object to be added. This messageList object can contain a maximum of 10 valueObject objects.

{

  "messageList": [

    {
      object (valueObject)
    }

  ]
}

2 Response

If successful, this method returns a response containing the hwWalletObject that is updated.